%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Math-Pari
Epoch:         1
Version:       2.030518
Release:       3mamba
Summary:       Math::Pari - Perl interface to the PARI library
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        https://cpan.metacpan.org/authors/id/I/IL/ILYAZ/modules/Math-Pari-%{version}.zip
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
BuildRequires: pari >= 2.3.2-2
BuildRequires: libpari-devel >= 2.3.2-2
BuildRequires: perl-Term-Gnuplot
Requires:      perl >= %perl_major_ver

# perl Makefile.PL:
### Math::Pari support of GP/PARI library version 2.3.* should be
###   considered cursory only.  One may need to downgrade to 2.1.7,
###   or run Makefile.PL with option machine=none if the tests fail.

%description
Package Math::Pari is a Perl interface to famous library PARI for numerical/scientific/number-theoretic calculations.
It allows use of most PARI functions (>500) as Perl functions, and (almost) seamless merging of PARI and Perl data.

%prep
%setup -q -n Math-Pari-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor AUTOMATED_TESTING=1

%make

# 2.030518: test never ends
#% make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

find %{buildroot} -name *.so -exec chmod u+w {} \;

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Sun Apr 16 2023 Sdk Build System <sdk@mambasoft.it> 2.030518-3mamba
- rebuilt with perl 5.36.0

* Mon May 31 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.030518-2mamba
- epoch bump

* Sun May 30 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.030518-1mamba
- update to 2.030518

* Thu Nov 22 2012 Automatic Build System <autodist@mambasoft.it> 2.01080605-1mamba
- automatic version update by autodist

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.010800-2mamba
- automatic rebuild by autodist

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.010800-1mamba
- update to 2.010800

* Wed Sep 12 2007 Aleph0 <aleph0@openmamba.org> 2.010709-1mamba
- update to 2.010709
- spec file fixed and updated

* Thu May 06 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.010501-1qilnx
- first build
